%define grass grass76

# Doesnt build with -j16, does with -j12 or lower, we choose -j12
%global make_build %(cpus=%_smp_mflags;if [ "${cpus##-j}" -gt 12 ];then echo make -j12;else echo make $cpus;fi)

%global __requires_exclude .*libgrass_.*

# we don't want to provide private python extension libs
%define _exclude_files_from_autoprov %{python3_sitearch}/.*\\.so


Name:           qgis
Version:        3.4.15
Release:        %mkrel 1
Summary:        Geographic Information System for Linux/Unix
License:        GPLv2+
Group:          Sciences/Geosciences
URL:            http://www.qgis.org/
Source0:        http://qgis.org/downloads/%{name}-%{version}.tar.bz2
Source1:        %{name}-mime.xml
Patch0:         qgis-3.2.1-set-sip-binary-path.patch
BuildRequires:  cmake
BuildRequires:  grass
BuildRequires:  imagemagick
BuildRequires:  flex
BuildRequires:  bison
BuildRequires:  mlocate
BuildRequires:  postgis
BuildRequires:  dos2unix
BuildRequires:  txt2tags
BuildRequires:  qscintilla-qt5-devel
BuildRequires:  spatialindex-devel
BuildRequires:  postgresql-devel
BuildRequires:  geos-devel
BuildRequires:  pkgconfig(cfitsio)
BuildRequires:  libfcgi-devel
BuildRequires:  cmake(Qt5Keychain)
BuildRequires:  pkgconfig(gdal) >= 2.1
BuildRequires:  pkgconfig(libzip)
BuildRequires:  pkgconfig(proj)
BuildRequires:  pkgconfig(expat)
BuildRequires:  pkgconfig(gsl)
BuildRequires:  pkgconfig(netcdf)
BuildRequires:  pkgconfig(Qt5Qwt6)
BuildRequires:  pkgconfig(Qt53DCore)
BuildRequires:  pkgconfig(Qt5Concurrent)
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Help)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5QuickWidgets)
BuildRequires:  pkgconfig(Qt5SerialPort)
BuildRequires:  pkgconfig(Qt5Svg)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5UiTools)
BuildRequires:  pkgconfig(Qt5WebKit)
BuildRequires:  pkgconfig(Qt5WebKitWidgets)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5Xml)
BuildRequires:  pkgconfig(Qt5XmlPatterns)
BuildRequires:  pkgconfig(spatialite)
BuildRequires:  pkgconfig(qca2-qt5)
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-sip-devel
BuildRequires:  python3-biopython-sql
BuildRequires:  python3-qt5-qscintilla
BuildRequires:  python3-qt5-devel
BuildRequires:  python3dist(gdal)
BuildRequires:  python3dist(six)
BuildRequires:  qca-qt5

Requires:       python3-biopython-sql
Requires:       postgis
Requires:       gdal
Requires:       gpsbabel
Requires:       python3-qgis
Requires:       python3dist(gdal)
Requires:       qca-qt5

%description
Geographic Information System (GIS) manages, analyzes, and displays
databases of geographic information. Quantum GIS (QGIS) supports shape file
viewing and editing, spatial data storage with PostgreSQL/PostGIS, projection
on-the-fly, map composition, and a number of other features via a plugin
interface. QGIS also supports display of various geo-referenced raster and
Digital Elevation Model (DEM) formats including GeoTIFF, Arc/Info ASCII Grid,
and USGS ASCII DEM.

%files
%doc BUGS ChangeLog README.md NEWS
%{_bindir}/%{name}
%{_libdir}/lib%{name}_*.so.*
%{_libdir}/%{name}/
%{_qt5_plugindir}/designer/libqgis_customwidgets.so.*
%{_datadir}/%{name}/
%{_datadir}/applications/*.desktop
%{_datadir}/metainfo/*.xml
%{_iconsdir}/hicolor/*/apps/*
%{_iconsdir}/hicolor/*/mimetypes/*
%{_datadir}/mime/packages/%{name}.xml
%{_mandir}/man1/*.1*
%exclude %{_libdir}/%{name}/libgrass*.so
%exclude %{_libdir}/%{name}/grass
%exclude %{_datadir}/%{name}/python
%exclude %{_datadir}/%{name}/grass
%exclude %{_datadir}/%{name}/FindQGIS.cmake

#---------------------------------------------------------

%package devel
Summary:    Development libraries and headers for QGIS
Group:      Sciences/Geosciences
Requires:   %{name} = %version
Requires:   %{name}-grass = %version
Requires:   python3-%{name} = %version

%description devel
Development headers for QGIS.

%files devel
%{_includedir}/%{name}/
%{_libdir}/lib%{name}_*.so
%{_libdir}/libqgisgrass*.so
%{_libdir}/libqgispython.so
%{_datadir}/%{name}/FindQGIS.cmake
%{_qt5_plugindir}/designer/libqgis_customwidgets.so

#---------------------------------------------------------

%package grass
Summary:    QGIS plugins for accessing GRASS data
Group:      Sciences/Geosciences
Requires:   grass >= 7.0.0

%description grass
This package provides plugins for QGIS that provide access to GRASS data from
within QGIS.

%files grass
%{_libdir}/libqgisgrass*.so.*
%{_libdir}/%{name}/libgrass*.so
%{_libdir}/%{name}/grass/
%{_datadir}/%{name}/grass/

#---------------------------------------------------------

%package -n python3-qgis
Summary:    Python 3 integration and plugins for qgis
Group:      Sciences/Geosciences
Requires:   %{name} = %{version}-%{release}
Requires:   python3-sip
Requires:   python3-qt5
Requires:   python3dist(httplib2)
Requires:   python3dist(jinja2)
Requires:   python3dist(matplotlib)
Requires:   python3-qt5-qscintilla
Requires:   python3dist(future)
Requires:   python3dist(gdal)
Requires:   python3dist(six)
Requires:   python3dist(python-dateutil)
Requires:   python3dist(markupsafe)
Requires:   python3dist(numpy)
Requires:   python3dist(owslib)
Requires:   python3dist(pygments)
Requires:   python3dist(pytz)
Requires:   python3dist(pyyaml)
Requires:   python3dist(psycopg2)
Obsoletes:  qgis-python < 2.4.0-5

Obsoletes:  python-qgis < 2.14.20-4
Provides:   python-qgis = %{version}-%{release}

%description -n python3-qgis
Python 3 integration and plugins for qgis.

%files -n python3-qgis
%{_libdir}/libqgispython.so.*
%{_datadir}/%{name}/python/
%{python3_sitearch}/%{name}/
%{python3_sitearch}/PyQt5/uic/widget-plugins/
%dir %{python3_sitearch}/PyQt5/uic

#---------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%cmake_qt5 \
    -Wno-dev \
    -DQGIS_LIB_SUBDIR=%{_lib} \
    -DQGIS_MANUAL_SUBDIR=/share/man \
    -DQGIS_PLUGIN_SUBDIR=%{_lib}/qgis \
    -DQGIS_CGIBIN_SUBDIR=%{_lib}/qgis \
    -DSIP_BINARY_PATH=%{_bindir}/python3-sip \
    -DQSCI_SIP_DIR=%{_datadir}/python3-sip/PyQt5 \
    -DQWT_INCLUDE_DIR=%{_qt5_includedir}/qwt \
    -DGRASS_PREFIX7=%{_libdir}/%{grass} \
    -DCMAKE_SKIP_RPATH=OFF \
    -DWITH_BINDINGS=ON \
    -DBINDINGS_GLOBAL_INSTALL=ON \
    -DWITH_3D=ON \
    -DWITH_CUSTOM_WIDGETS=ON \
    -DUSE_OPENCL=OFF \
    -DENABLE_TESTS=OFF

%make_build

%install
%make_install -C build

desktop-file-install \
    --remove-mime-type="application/x-raster-ecw" \
    --remove-mime-type="application/x-raster-mrsid" \
    --dir=%{buildroot}%{_datadir}/applications \
    %{buildroot}%{_datadir}/applications/org.qgis.qgis.desktop

# Install MIME type definitions
install -d %{buildroot}%{_datadir}/mime/packages
install -pm0644 %{SOURCE1} \
    %{buildroot}%{_datadir}/mime/packages/%{name}.xml

# Remove install instructions
rm -f %{buildroot}%{_datadir}/%{name}/doc/INSTALL*


%changelog
* Wed Jan 22 2020 daviddavid <daviddavid> 3.4.15-1.mga7
+ Revision: 1482150
- new version: 3.4.15 (fixes mga#25997)
- new version: 3.4.14 (fixes mga#25997)

* Fri May 17 2019 daviddavid <daviddavid> 3.4.8-1.mga7
+ Revision: 1398200
- new version: 3.4.8

* Sat Apr 20 2019 daviddavid <daviddavid> 3.4.7-2.mga7
+ Revision: 1393654
- new version: 3.4.7

* Thu Apr 04 2019 daviddavid <daviddavid> 3.4.6-3.mga7
+ Revision: 1385823
- python3-qgis require python3-owslib (mga#24617)

* Mon Apr 01 2019 umeabot <umeabot> 3.4.6-2.mga7
+ Revision: 1384190
- Qt5 Rebuild

* Mon Mar 25 2019 daviddavid <daviddavid> 3.4.6-1.mga7
+ Revision: 1380052
- new version: 3.4.6

* Thu Mar 07 2019 eatdirt <eatdirt> 3.4.5-2.mga7
+ Revision: 1372237
- Rebuild for new grass and proj

* Sat Feb 23 2019 daviddavid <daviddavid> 3.4.5-1.mga7
+ Revision: 1369465
- new version: 3.4.5
- remove merged upstream patch

* Tue Feb 19 2019 daviddavid <daviddavid> 3.4.4-2.mga7
+ Revision: 1368576
- add upstream patch to fix build with SIP 4.19.14
- rebuild for new qscintilla 2.11.1

* Fri Jan 18 2019 daviddavid <daviddavid> 3.4.4-1.mga7
+ Revision: 1357894
- new version: 3.4.4

* Tue Jan 08 2019 tv <tv> 3.4.3-3.mga7
+ Revision: 1351850
- rebuild with python 3.7

* Tue Dec 25 2018 daviddavid <daviddavid> 3.4.3-2.mga7
+ Revision: 1344955
- enable QGIS 3D library support
- enable QGIS custom widgets support

* Tue Dec 25 2018 daviddavid <daviddavid> 3.4.3-1.mga7
+ Revision: 1344892
- new version: 3.4.3

* Sat Nov 24 2018 daviddavid <daviddavid> 3.4.2-1.mga7
+ Revision: 1333877
- new version: 3.4.2

* Fri Nov 09 2018 daviddavid <daviddavid> 3.4.1-2.mga7
+ Revision: 1329078
- rebuild for new hdf5 1.10.4

* Sat Nov 03 2018 daviddavid <daviddavid> 3.4.1-1.mga7
+ Revision: 1327868
- new version: 3.4.1

* Wed Oct 31 2018 daviddavid <daviddavid> 3.4.0-2.mga7
+ Revision: 1326801
- new version: 3.4.0 (new LTR)

* Wed Sep 26 2018 daviddavid <daviddavid> 3.2.3-2.mga7
+ Revision: 1305973
- new version: 3.2.3

* Sun Sep 23 2018 umeabot <umeabot> 3.2.1-2.mga7
+ Revision: 1302143
- Mageia 7 Mass Rebuild
+ daviddavid <daviddavid>
- new version: 3.2.1
- port to Qt5 and Python3
- build against grass74
+ zezinho <zezinho>
- remove useless dep on python-biopython mga#20567

* Mon May 21 2018 zezinho <zezinho> 2.18.20-1.mga7
+ Revision: 1231077
- new version 2.18.20 \ -
  remove old patch for FindGRASS

* Thu May 03 2018 kekepower <kekepower> 2.14.20-5.mga7
+ Revision: 1225673
- Add Requires for qt4-database-plugin-sqlite (mga#22979)

* Thu Apr 19 2018 daviddavid <daviddavid> 2.14.20-4.mga7
+ Revision: 1220199
- rebuild for new qscintilla 2.10.4
- rename python-qgis to python2-qgis
- add patch to find grass 7.4
- use new python provides

* Sat Mar 17 2018 daviddavid <daviddavid> 2.14.20-3.mga7
+ Revision: 1210008
- rebuild for new proj 5.0.0

* Wed Dec 27 2017 wally <wally> 2.14.20-2.mga7
+ Revision: 1185651
- rebuild for new gsl

* Mon Nov 20 2017 josh <josh> 2.14.20-1.mga7
+ Revision: 1177967
- Delete old tarball
- Add new source tarball
- Update to long-term release version 2.14.20; use current grass package

* Tue Oct 31 2017 eatdirt <eatdirt> 2.14.19-2.mga7
+ Revision: 1175140
- Rebuild for new libproj

* Tue Sep 19 2017 cjw <cjw> 2.14.19-1.mga7
+ Revision: 1155316
- 2.14.19

* Tue Sep 27 2016 daviddavid <daviddavid> 2.14.7-1.mga6
+ Revision: 1057078
- new version: 2.14.7

* Wed Jul 27 2016 daviddavid <daviddavid> 2.14.4-2.mga6
+ Revision: 1043732
- add missing BRs on python-qt4-qscintilla and qca2-plugin-openssl
- set make to -j8

* Tue Jul 26 2016 daviddavid <daviddavid> 2.14.4-1.mga6
+ Revision: 1043705
- new version: 2.14.4 (LTR)
- remove merged upstream patch
- use system qextserialport
- add more icons
- set make to -j4
- requires python-pyspatialite and python-pygments
- requires python-yaml and python-psycopg2
- switch BRs to pkgconfig()
- use new python macros

* Mon Jun 27 2016 akien <akien> 2.10.1-10.mga6
+ Revision: 1037817
- Rebuild in core/release

* Sat Jun 25 2016 akien <akien> 2.10.1-9.mga6
+ Revision: 1037609
- Add upstream patch for FTBFS with python-sip 4.18
- Rebuild for python-sip 4.18

* Thu May 19 2016 eatdirt <eatdirt> 2.10.1-8.mga6
+ Revision: 1016890
- Rebuild for new libproj

* Tue Jan 26 2016 luigiwalser <luigiwalser> 2.10.1-7.mga6
+ Revision: 927672
- rebuild for gsl

* Sun Jan 10 2016 wally <wally> 2.10.1-6.mga6
+ Revision: 920925
- rebuild for new gdal
+ luigiwalser <luigiwalser>
- rebuild for gsl

* Sun Nov 15 2015 dglent <dglent> 2.10.1-4.mga6
+ Revision: 903290
- Bring it back as it builds localy

* Wed Sep 09 2015 fwang <fwang> 2.10.1-3.mga6
+ Revision: 874674
- rebuild for new qscintilla

* Tue Sep 01 2015 fwang <fwang> 2.10.1-2.mga6
+ Revision: 871840
- rebuild for new spatialindex

* Thu Aug 27 2015 ycantin <ycantin> 2.10.1-1.mga6
+ Revision: 870345
- new version 2.10.1
- fix file list (libqgisgrass6.so*)

* Thu Jul 16 2015 daviddavid <daviddavid> 2.8.2-2.mga6
+ Revision: 854827
- fix dependency on python-qgis instead of qgis-python from devel subpackage

* Fri Jul 03 2015 dglent <dglent> 2.8.2-1.mga6
+ Revision: 849667
- Version 2.8.2
  Drop patch qgis-2.4.0-fedora-sip.patch
  Change to qgis-python to follow naming policy

* Tue Nov 25 2014 cjw <cjw> 2.4.0-4.mga5
+ Revision: 798941
- rebuild against postgresql9.4

* Wed Oct 15 2014 umeabot <umeabot> 2.4.0-3.mga5
+ Revision: 739618
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 2.4.0-2.mga5
+ Revision: 730077
- rebuild for missing pythoneggs deps

* Sat Sep 20 2014 dglent <dglent> 2.4.0-1.mga5
+ Revision: 697449
- Version 2.4.0
+ umeabot <umeabot>
- Mageia 5 Mass Rebuild
+ tv <tv>
- use %%global for req/prov exclude
- autoconvert to new prov/req excludes

* Thu Aug 07 2014 sander85 <sander85> 2.0.1-4.mga5
+ Revision: 660769
- Rebuild for new libspatialite

* Mon Jan 06 2014 dmorgan <dmorgan> 2.0.1-3.mga4
+ Revision: 565134
- qgis-python does not exist anymore

* Tue Oct 22 2013 umeabot <umeabot> 2.0.1-2.mga4
+ Revision: 545329
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 mitya <mitya> 2.0.1-1.mga4
+ Revision: 501065
- New version 2.0.1
- Temporarily disable Python bindings (don't build with current SIP+PyQt4)

* Tue Sep 10 2013 fwang <fwang> 1.8.0-1.mga4
+ Revision: 477070
- fix build with latest sip, patch from upstream

* Fri Mar 22 2013 fwang <fwang> 1.8.0-1.mga3
+ Revision: 404456
- update file list
- try rebuilding
+ obgr_seneca <obgr_seneca>
- Rebuild for new geos and postgis
- Rebuild against new geos
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild
+ zezinho <zezinho>
- new version
- rebuild for new libqwt 6

* Thu Feb 23 2012 obgr_seneca <obgr_seneca> 1.7.4-1.mga2
+ Revision: 212634
- new version 1.7.4

* Tue Jan 17 2012 obgr_seneca <obgr_seneca> 1.7.3-3.mga2
+ Revision: 197280
- added upstream patch for pedantic compiler setting
- rebuild for new libgeos

* Sun Dec 18 2011 fwang <fwang> 1.7.3-2.mga2
+ Revision: 183708
- br qtwebkit

* Tue Dec 13 2011 obgr_seneca <obgr_seneca> 1.7.3-1.mga2
+ Revision: 181200
- new version 1.7.3

* Fri Nov 18 2011 obgr_seneca <obgr_seneca> 1.7.2-1.mga2
+ Revision: 168908
- new version 1.7.2
- no more theme folder

* Thu Nov 03 2011 obgr_seneca <obgr_seneca> 1.7.1-2.mga2
+ Revision: 162068
- rebuild against new geos

* Tue Sep 27 2011 obgr_seneca <obgr_seneca> 1.7.1-1.mga2
+ Revision: 149642
- new version 1.7.1
+ fwang <fwang>
- update file list
- update file list
- new version 1.7.0

* Tue Apr 26 2011 obgr_seneca <obgr_seneca> 1.6.0-3.mga1
+ Revision: 91713
- rebuild aginst new libgdal 1.8.0
- fixed naming of desktop file

* Fri Apr 01 2011 ahmad <ahmad> 1.6.0-1.mga1
+ Revision: 79724
- update to 1.6.0
- drop patch0 and use an alternative patch from Fedora for 1.6.0
- adapt to the biopython package rename
- build with postgresql-devel 9.0
- add BR libqwt-devel, libfcgi-devel
- build wwith QGIS_CGIBIN_SUBDIR=%%{_lib}/qgis
+ ennael <ennael>
- clean spec file
+ dmorgan <dmorgan>
- Remove mdv macros
  Replace mandriva by %%real_vendor
- imported package qgis


* Tue Nov 02 2010 Ahmad Samir <ahmadsamir@mandriva.org> 1.5.0-3mdv2011.0
+ Revision: 591888
- rebuild for python 2.7
- rebuild for python 2.7

* Wed Sep 01 2010 Funda Wang <fwang@mandriva.org> 1.5.0-1mdv2011.0
+ Revision: 575148
- new version 1.5.0

* Wed Mar 17 2010 Funda Wang <fwang@mandriva.org> 1.4.0-1mdv2010.1
+ Revision: 522877
- fix sip >= 4.10
- no more nkids theme
- force 8.4
- New version 1.4.0

  + Buchan Milne <bgmilne@mandriva.org>
    - Fix build on hosts with more than 12 (e.g. 16) CPUs
    - Conditionally dos2unix DOS format files (on 2010.0 and later, patch 2.5.9 needs it,
      while patch 2.6 doesnt allow it)

* Tue Dec 22 2009 Buchan Milne <bgmilne@mandriva.org> 1.3.0-1mdv2010.1
+ Revision: 481336
- New version 1.3.0
- Patch for sip-4.9 (from qgis ticket 1959)

* Thu Aug 06 2009 Funda Wang <fwang@mandriva.org> 1.0.2-1mdv2010.0
+ Revision: 410746
- new version 1.0.2

* Mon Mar 23 2009 Funda Wang <fwang@mandriva.org> 1.0.1-2mdv2009.1
+ Revision: 360600
- New version 1.0.1-2

* Sun Mar 22 2009 Funda Wang <fwang@mandriva.org> 1.0.1-1mdv2009.1
+ Revision: 360110
- new version 1.0.1

* Tue Jan 27 2009 Funda Wang <fwang@mandriva.org> 1.0.0-3mdv2009.1
+ Revision: 334191
- split out gis theme
- set cxx flags

* Tue Jan 27 2009 Funda Wang <fwang@mandriva.org> 1.0.0-2mdv2009.1
+ Revision: 334181
- fix menu item

* Tue Jan 27 2009 Funda Wang <fwang@mandriva.org> 1.0.0-1mdv2009.1
+ Revision: 334036
- add patches
- New version 1.0.0
- rebuild for new python

  + Oden Eriksson <oeriksson@mandriva.com>
    - lowercase ImageMagick

* Thu Aug 28 2008 Frederik Himpe <fhimpe@mandriva.org> 0.11.0-1mdv2009.0
+ Revision: 276989
- Really fix desktop file, define grass macro
- Add desktop icon
- SPEC style fixes
- Update to new version 0.11
- Put python and nkids theme in separate packages
- Fix file lists (sync with Fedora)
- Fix exec command in desktop file so qgis can be started
  from the menus
- Use freedesktop.org menu categories in desktop file
- Adapt to license policy

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild
    - rebuild

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Mon Feb 18 2008 Thierry Vignaud <tv@mandriva.org> 0.9.1-3mdv2008.1
+ Revision: 171072
- rebuild
- fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake

* Wed Feb 13 2008 Helio Chissini de Castro <helio@mandriva.com> 0.9.1-2mdv2008.1
+ Revision: 167055
- Added build requires and requires.
  Thanks to Francisco Alcaraz Ariza that debigged and tested package

* Fri Feb 08 2008 Helio Chissini de Castro <helio@mandriva.com> 0.9.1-1mdv2008.1
+ Revision: 164239
- Major update of QGis spec related to major QGis changes, including cmake and plugin changes
- old libraries are obsoleted thanks to new Qt plugin system
- grass plugin now is fully working, but a update of our grass package will be come soon
- Update for current qgis 0.9.1

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Aug 21 2007 Buchan Milne <bgmilne@mandriva.org> 0.8.1-1mdv2008.0
+ Revision: 68288
- Drop msexport for now

  + Helio Chissini de Castro <helio@mandriva.com>
    - New upstream version
    - Changed spec layout
    - Added correct python requires

* Tue May 08 2007 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 0.8.0-6mdv2008.0
+ Revision: 25067
- Rebuild with new libjasper.
- Added patch to fix build with qt 4.3.x (qt4.3_buildfix).


* Mon Mar 26 2007 Buchan Milne <bgmilne@mandriva.org> 0.8.0-5mdv2007.1
+ Revision: 148764
- Dont ship devel files in grass plugin, and filter libqgsprojectionselector
 requires - fixes bug #29734

* Thu Mar 15 2007 Buchan Milne <bgmilne@mandriva.org> 0.8.0-4mdv2007.1
+ Revision: 144309
- Correct fix for grass lib location on x86_64 (which survives make running
 configure again)
- Buildrequires
- Buildrequire flex
- Add missung (but mostly unused) python patch
- New version 0.8.0

* Fri Sep 01 2006 Buchan Milne <bgmilne@mandriva.org> 0.7.4-1mdv2007.0
+ Revision: 59063
- Import qgis

* Fri Sep 01 2006 Buchan Milne <bgmilne@staff.telkomsa.net> 0.7.4-1mdv2007.0
- 0.7.4
- add/split grass plugin
- fix build on x86_64
- xdg menu
- filter out grass devel requires which arent provided by anything

* Thu May 12 2005 Buchan Milne <bgmilne@linux-mandrake.com> 0.6.0-3mdk
- Rebuild for postgresql-devel 8.0.2

* Sat Apr 09 2005 Buchan Milne <bgmilne@linux-mandrake.com> 0.6.0-2mdk
- add postgis patch (thanks Servio Tulio Pires Amarante)

* Fri Apr 08 2005 Buchan Milne <bgmilne@linux-mandrake.com> 0.6.0-1mdk
- 0.6.0
- build for grass6

* Wed Oct 06 2004 Buchan Milne <bgmilne@linux-mandrake.com> 0.5.0-1mdk
- 0.5.0
- set GISBASE in menu as well (make grass support work out-the-box)
- fix libtool file

* Wed Sep 08 2004 Buchan Milne <bgmilne@linux-mandrake.com> 0.4.0-2mdk
- add menu, fix files lists, remove empty files, fix all packaging bugs
- introduce to contrib

* Mon Jul 05 2004 Buchan Milne <bgmilne@linux-mandrake.com> 0.4.0-1mdk
- 0.4.0

* Mon Jun 21 2004 Buchan Milne <bgmilne@linux-mandrake.com> 0.3.0-1mdk
- First Mandrake package

